Loading...
Searching...
No Matches
lime::sBuffer< T > Struct Template Reference

auto clean fixed size buffer(std::array based) More...

`#include <lime_crypto_primitives.hpp>`

Inheritance diagram for lime::sBuffer< T >:

## Public Member Functions

| ~sBuffer ()
| zeroise all buffer when done

## Detailed Description

template<size_t T>
struct lime::sBuffer< T >

auto clean fixed size buffer(std::array based)

Buffers are cleaned when destroyed, use this to store any sensitive data

## Constructor & Destructor Documentation

## ~sBuffer()

template<size_t T>

lime::sBuffer< T >::~sBuffer | ( |  | ) |

inline

zeroise all buffer when done

The documentation for this struct was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/lime_crypto_primitives.hpp